Attribute VB_Name = "FRB"
'*********************************************************************************
'      The Declare of FRB.DLL for FRB-100/200 Card
'*********************************************************************************

Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

'*********************************************************/

Global Const FRB_NoError = 0
Global Const FRB_DriverOpenError = 1
Global Const FRB_DriverNoOpen = 2
Global Const FRB_GetDriverVersionError = 3
Global Const FRB_FindBoardError = 4
Global Const FRB_ExceedBoardNumber = 5
Global Const FRB_InputParameterError = 6


Declare Function FRB_DriverInit Lib "FRB.dll" (wTotalBoards As Integer) As Integer
Declare Sub FRB_DriverClose Lib "FRB.dll" ()

Declare Function FRB_ActiveBoard Lib "FRB.dll" (ByVal wBoardNo As Integer) As Integer
Declare Function FRB_GetDllVersion Lib "FRB.dll" () As Integer
Declare Function FRB_GetDriverVersion Lib "FRB.dll" (wDriverVersion As Integer) As Integer
Declare Function FRB_GetConfigAddressSpace Lib "FRB.dll" (ByVal wBoardNo As Integer, wAddrBase As Long, wIrqNo As Integer, wSubVendor As Integer, wSubDevice As Integer, wSubAux As Integer, wSlotBus As Integer, wSlotDevice As Integer) As Integer

Declare Function FRB_SendSA Lib "FRB.dll" (ByVal wPort As Integer, ByVal SAn As Integer, ByVal wOutputData As Integer) As Integer
Declare Function FRB_ReceiveRA Lib "FRB.dll" (ByVal wPort As Integer, ByVal RAn As Integer, wInputData As Integer) As Integer
Declare Function FRB_ReadRAStatus Lib "FRB.dll" (ByVal wPort As Integer, bRAStatus As Byte) As Integer

